%define name   simpleburn
%define version 1.6.5
%define release %mkrel 1

Summary: SimpleBurn is a basic burning tool for CDs and DVDs.
Summary(de): SimpleBurn ist ein einfaches Werkzeug zum Brennen von CDs und DVDs.
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Archiving/Cd burning
License: CeCILL 
URL:	 http://sallu.tuxfamily.org/Home/
Source:	 %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake 
BuildRequires:	gtk2-devel
BuildRequires: ImageMagick
BuildRequires: %{_lib}cdio-devel
Requires:  %{_lib}glade2.0_0
Requires:  %{_lib}gtk+2.0_0 
Requires:  udev
Requires:  cdrkit
Requires:  vorbis-tools
Requires:  mpg123
Requires:  flac
Requires:  normalize
Requires:  cdrkit-icedax
Requires:  mencoder
Requires:  mplayer
Obsoletes:  %name < %version


%description
SimpleBurn is a basic burning application for CDs and DVDs.

#german
%description -l de
SimpleBurn ist ein grundlegendes Werkzeug für das Brennen von CDs und DVDs.

%prep
%setup -q 

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr \
      -DUSE_UDEV=ON

%install
rm -rf %{buildroot}
%makeinstall_std

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 src/*.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 src/*.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 src/*.png %{buildroot}%_liconsdir/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SimpleBurn
Comment=Burning tool for CDs and DVDs.
Comment[de]=Brennprogramm für CDs und DVDs.
Exec=%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;DiscBurning;X-MandrivaLinux-System-Archiving-CDBurning;
EOF


rm -rf %{buildroot}/usr/doc/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}*
%{_datadir}/pixmaps/*.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Sat Nov 01 2012 daniel <meisssw01 at gmail.com> 1.6.5-1leiche2012
- upstream tarball

* Thu May 17 2012 Neal <nealbrks0 at gmail dot com> 1.6.4-1pclos2012
- process

* Thu May 17 2012 ghostbunny <hmhaase@pclinuxosusers.de> 1.6.4-1pclos2012
- 1.6.4

* Thu Jan 12 2012 ghostbunny <hmhaase@pclinuxosusers.de> 1.6.3-1pclos2012
- update to 1.6.3
- corrected german description and summary
- added german comment in the .desktop file
- added BuildRequires ImageMagick for resizing the icons
- added BuildRequires %{_lib}cdio-devel
- added Requires for flac, mencoder, mplayer, cdrkit-icedax for video and audio ripping

* Fri Jul 09 2010 slick50 <lgator@gmail.com> 1.5.2-1pclos2010
- 1.5.2

* Wed Jun 23 2010 slick50 <lgator@gmail.com> 1.5.1-1pclos2010
- 1.5.1

* Thu Apr 01 2010 slick50 <lgator@gmail.com> 1.5.0-1pclos2010
- new release 1.5.0

* Sat Jan 09 2010 slick50 <lgator@gmail.com> 1.4.0-1pclos2010
- new release 1.4.0

* Sun Nov 29 2009 slick50 <lgator@gmail.com> 1.3.1-1pclos2010
- new release 1.3.1

* Thu Nov 19 2009 slick50 <lgator@gmail.com> 1.3.0-1pclos2010
- new release 1.3.0

* Fri Nov 06 2009 slick50 <lgator@gmail.com> 1.2.3-1pclos2010
- new release 1.2.3

* Thu Oct 22 2009 slick50 <lgator@gmail.com> 1.2.2-1pclos2010
- new release 1.2.2

* Wed Sep 16 2009 slick50 <lgator@gmail.com> 1.2.1-1pclos2009
- new release 1.2.1

* Tue May 12 2009 slick50 <lgator@gmail.com> 1.2.0stable-1pclos2009
- 1.2.0stable

* Mon Apr 27 2009 slick50 <lgator@gmail.com> 1.2.0beta1-1pclos2009
- 1.2.0beta1

* Tue Feb 09 2009 slick50 <lgator@gmail.com> 1.0.5-1pclos2007
-initial pkg
